#### D.12.4.4 leadmonomial

Procedure from library `teachstd.lib` (see teachstd_lib).

Usage:
  leadmonomial(f); f poly or vector

Return:
  the leading monomial of f of type poly

Note:
  if f is of type poly, leadmonomial(f)=leadmonom(f), if f is of type vector and if leadmonom(f)=m*gen(i) then leadmonomial(f)=m

Example:

    LIB "teachstd.lib";
    ring s=0,(x,y,z),(c,dp);
    leadmonomial((y+z+x+xyz)^2);
    ==> x2y2z2
    leadmonomial([(y+z+x+xyz)^2,xyz5]);
    ==> x2y2z2

User manual for Singular version 4.4.1, 2025, generated by texi2html.